DROP PROC ObtieneTipoCambioProc
GO
CREATE PROC ObtieneTipoCambioProc(
	@VENDIDSS	UD_IDVENDOR,
	@IDMONEDA 	UD_CURYID,
	@FECHA 		smalldatetime,
	@TIPOCAMBIO numeric(4,2)=0 output
)
AS

	DECLARE @TTCAMBIO UD_CURYTYPEID
	SET @TTCAMBIO= (SELECT CURYTYPEID FROM IN_VENDOR WHERE VENDIDSS=@VENDIDSS)

	SELECT RATE,CURYDATE,OPERADOR FROM CURYRATE WHERE CURYTYPEID=@TTCAMBIO AND FROMCURYID=@idmoneda AND CURYDATE=@FECHA

